import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

/* Payment Management = 결제관리 API */
export const API_URL_PAYMENT = {
  paymentNotificationData: () => {
    // POST: 결제데이터 통보 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/payment/notification/data`;
  },
  paymentNonCard: () => {
    // POST: 카드외 결제수단 수수료 및 정산주기 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/payment/non-card`;
  },
  paymentInstallment: () => {
    // POST: 가맹점 분담 무이자 정보 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/payment/installment`;
  },
  paymentInstallmentDetail: () => {
    // POST: 가맹점 분담 무이자 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/payment/installment/detail`;
  },
  paymentCard: () => {
    // POST: 카드 결제수단 수수료 및 정산주기 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/payment/card`;
  },
};